/* Sphere.h
 *
 * Draws a sphere.
 */

#include "SDL.h"
#include "SDL_opengl.h"

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <time.h>

class Sphere
{
public:
  Sphere();
  Sphere(GLfloat x, GLfloat y, GLfloat z);
  Sphere(GLfloat x, GLfloat y, GLfloat z, GLfloat r, GLfloat g, GLfloat b);
  ~Sphere();
  void draw();
  void generate();
  void setPos(GLfloat x, GLfloat y, GLfloat z);
  void setColor(GLfloat r, GLfloat g, GLfloat b);
private:
  GLfloat xpos, ypos, zpos;
  GLfloat colorR, colorG, colorB;
  GLuint sphere;
};