/* Cube.h
 *
 * Draws a big cube.
 */

#include "SDL.h"
#include "SDL_opengl.h"

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <time.h>

class Cube
{
public:
  Cube(GLfloat x, GLfloat y, GLfloat z);
  Cube();
  ~Cube();
  void draw();
private:
  GLfloat xpos;
  GLfloat ypos;
  GLfloat zpos;
  GLuint cube;
  int rotation;
  bool rotate;
  void generateCube();
};